Page MenuHomePhabricator

Autofill link for Wikidata's citoid gadget: data retrieval should be signified
Open, LowPublic

Description

Need: Know that my action (click) was noted and the system is reacting on it

Problem: When I click autofill, nothing happens until the autofilled values appear.

Suggestion: Show a spinner behind or below the autofill link

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptDec 19 2016, 4:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF renamed this task from Autofill link for citoid gadget: data retrieval should be signified to Autofill link for Wikidata's citoid gadget: data retrieval should be signified.Jan 3 2017, 8:17 PM
Mvolz moved this task from Backlog to Zotero on the Citoid board.Jan 9 2017, 1:50 PM
Deskana triaged this task as Low priority.Aug 27 2018, 12:38 PM
Deskana removed a project: VisualEditor.

This is fixed in my fork of CiteTool:
https://www.wikidata.org/wiki/User:MichaelSchoenitzer/CiteTool

May/Should I close this ticket?

Mvolz added a subscriber: Mvolz.EditedDec 10 2018, 9:14 AM

This is fixed in my fork of CiteTool:
https://www.wikidata.org/wiki/User:MichaelSchoenitzer/CiteTool
May/Should I close this ticket?

You could file a pull request at https://github.com/filbertkm/wikidata-citetool/

However I think Katie is no longer at WMDE and therefore the repo is kind of in limbo, although she has merged a few minor changes of mine, but not anything major.

I also have a fork at https://github.com/mvolz/wikidata-citoid-gadget/ as well. https://www.wikidata.org/wiki/User:Mvolz_(WMF)/CiteTool.js and https://www.wikidata.org/wiki/User:Mvolz_(WMF)/CiteProperties.json (which has a lot more properties but is buggy)